#ifndef PAK_H
#define PAK_H

#include "util.h"

#pragma pack(push,1)

struct headerV1
{
    int32_t version;
    int32_t numOfEntries;
};

struct headerV4
{
    int32_t version;
    int32_t numOfEntries;
    int8_t  encoding;
};

struct resourceV1HeaderEntry
{
    int32_t id;
    int32_t offset;
    int32_t size;
};

struct resourceV4HeaderEntry
{
    int16_t id;
    int32_t offset;
};
#pragma pack(pop)

#endif
